gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Buttons.VolumeButton

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

A button which pops up a volume control

- Module available since Gtk+ version 2.12

Synopsis

- data VolumeButton
- class ScaleButtonClass o => VolumeButtonClass o
- castToVolumeButton :: GObjectClass obj => obj -> VolumeButton
- toVolumeButton :: VolumeButtonClass o => o -> VolumeButton
- volumeButtonNew :: IO VolumeButton

# Detail

`VolumeButton` is a subclass of `ScaleButton` that has been tailored for use as a volume control widget with suitable icons, tooltips and accessible labels.

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----Container
    | +----Bin
    | +----Button
    | +----ScaleButton
    | +----VolumeButton

# Types

data VolumeButton Source #

#### Instances

Instances details

Eq VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: VolumeButton -> VolumeButton -> Bool Source # (/=) :: VolumeButton -> VolumeButton -> Bool Source #
Ord VolumeButton Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: VolumeButton -> VolumeButton -> Ordering Source #

(<) :: VolumeButton -> VolumeButton -> Bool Source #

(<=) :: VolumeButton -> VolumeButton -> Bool Source #

(>) :: VolumeButton -> VolumeButton -> Bool Source #

(>=) :: VolumeButton -> VolumeButton -> Bool Source #

max :: VolumeButton -> VolumeButton -> VolumeButton Source #

min :: VolumeButton -> VolumeButton -> VolumeButton Source #

GObjectClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: VolumeButton -> GObject Source # unsafeCastGObject :: GObject -> VolumeButton Source #
BinClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ButtonClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ContainerClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
ScaleButtonClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
VolumeButtonClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class ScaleButtonClass o => VolumeButtonClass o Source #

#### Instances

Instances details

VolumeButtonClass VolumeButton Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToVolumeButton :: GObjectClass obj => obj -> VolumeButton Source #

toVolumeButton :: VolumeButtonClass o => o -> VolumeButton Source #

# Constructors

volumeButtonNew :: IO VolumeButton Source #

Creates a `VolumeButton`, with a range between 0.0 and 1.0, with a stepping of 0.02. Volume values can be obtained and modified using the functions from `ScaleButton`.